CVE-2005-3731
CVSS10.0
发布时间 :2005-11-21 06:03:00
修订时间 :2008-09-05 16:55:08
NMCO    

[原文]Unspecified vulnerability in yaSSL before 1.0.6 has unknown impact and attack vectors, related to "certificate chain processing."


[CNNVD]yaSSL未明漏洞(CNNVD-200511-312)

        yaSSL是一个开源的SSL的开发库。
        yaSSL 1.0.6之前版本存在未明漏洞,其攻击影响和攻击方式不明,可能与"证书链处理"有关。

- CVSS (基础分值)

CVSS分值: 10 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:yassl:yassl:0.8.0
cpe:/a:yassl:yassl:1.0.1
cpe:/a:yassl:yassl:1.0.3
cpe:/a:yassl:yassl:0.9.5
cpe:/a:yassl:yassl:1.0.4
cpe:/a:yassl:yassl:0.7.0
cpe:/a:yassl:yassl:0.9.0
cpe:/a:yassl:yassl:1.0.5
cpe:/a:yassl:yassl:0.5.0
cpe:/a:yassl:yassl:0.9.8
cpe:/a:yassl:yassl:0.9.9
cpe:/a:yassl:yassl:0.9.2
cpe:/a:yassl:yassl:1.0
cpe:/a:yassl:yassl:0.6.0
cpe:/a:yassl:yassl:0.4.0
cpe:/a:yassl:yassl:0.9.6
cpe:/a:yassl:yassl:1.0.2
cpe:/a:yassl:yassl:0.3.0
cpe:/a:yassl:yassl:0.3.5

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-3731
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-3731
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200511-312
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/15487
(PATCH)  BID  15487
http://yassl.com/release.html
(UNKNOWN)  CONFIRM  http://yassl.com/release.html
http://www.osvdb.org/20831
(UNKNOWN)  OSVDB  20831
http://secunia.com/advisories/17619
(UNKNOWN)  SECUNIA  17619

- 漏洞信息

yaSSL未明漏洞
危急 资料不足
2005-11-21 00:00:00 2005-11-21 00:00:00
远程  
        yaSSL是一个开源的SSL的开发库。
        yaSSL 1.0.6之前版本存在未明漏洞,其攻击影响和攻击方式不明,可能与"证书链处理"有关。

- 公告与补丁

        供应商已发布了yaSSL的1.0.6版本来解决此问题:
        yaSSL yaSSL 0.x
        yaSSL yassl-1.0.6.zip
        http://yassl.com/yassl-1.0.6.zip
        yaSSL yaSSL 1.0
        yaSSL yassl-1.0.6.zip
        http://yassl.com/yassl-1.0.6.zip
        yaSSL yaSSL 1.0.1
        yaSSL yassl-1.0.6.zip
        http://yassl.com/yassl-1.0.6.zip
        yaSSL yaSSL 1.0.2
        yassl-1.0.6.zip
        http://yassl.com/yassl-1.0.6.zip
        yaSSL yaSSL 1.0.3
        yaSSL yassl-1.0.6.zip
        http://yassl.com/yassl-1.0.6.zip
        yaSSL yaSSL 1.0.4
        yaSSL yassl-1.0.6.zip
        http://yassl.com/yassl-1.0.6.zip
        yaSSL yaSSL 1.0.5
        yaSSL yassl-1.0.6.zip
        http://yassl.com/yassl-1.0.6.zip

- 漏洞信息

20831
yaSSL Unspecified Certificate Chain Processing Issue
Remote / Network Access Cryptographic
Loss of Confidentiality
Exploit Unknown Vendor Verified

- 漏洞描述

yaSSL contains a flaw related to Certificate Chain Processing that may allow an attacker to bypass certain restrictions. No further details have been provided.

- 时间线

2005-11-14 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 1.0.6 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站